summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-18 09:32:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-18 09:32:37 +0000
commit06cb8f3c3edf349683316295fafc6191ddf620d9 (patch)
treeb4c8c1b8707e58318def7a4924945b4482330a65 /dev-python
parent795962701b57871f55d56b037c5d282800ced5b1 (diff)
downloadbaldeagleos-repo-06cb8f3c3edf349683316295fafc6191ddf620d9.tar.gz
baldeagleos-repo-06cb8f3c3edf349683316295fafc6191ddf620d9.tar.xz
baldeagleos-repo-06cb8f3c3edf349683316295fafc6191ddf620d9.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.35.43.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.35.43.ebuild67
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.17.1.ebuild70
-rw-r--r--dev-python/gphoto2/Manifest2
-rw-r--r--dev-python/gphoto2/gphoto2-2.4.0.ebuild23
-rw-r--r--dev-python/gphoto2/gphoto2-2.5.0.ebuild21
-rw-r--r--dev-python/gphoto2/metadata.xml16
-rw-r--r--dev-python/griffe/Manifest2
-rw-r--r--dev-python/griffe/griffe-1.5.0.ebuild (renamed from dev-python/griffe/griffe-1.3.2.ebuild)0
-rw-r--r--dev-python/marshmallow/Manifest1
-rw-r--r--dev-python/marshmallow/marshmallow-3.23.0.ebuild36
-rw-r--r--dev-python/pyproject-fmt/Manifest1
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-2.4.3.ebuild165
-rw-r--r--dev-python/pytest-shell-utilities/Manifest1
-rw-r--r--dev-python/pytest-shell-utilities/pytest-shell-utilities-1.9.4.ebuild41
-rw-r--r--dev-python/types-setuptools/Manifest1
-rw-r--r--dev-python/types-setuptools/types-setuptools-75.2.0.20241018.ebuild17
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.27.0.ebuild118
22 files changed, 576 insertions, 63 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 50ceb13871c4..6ab71790ef22 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.35.39.gh.tar.gz 872172 BLAKE2B 1baad362b9bfcf68ea89c9ba9ea473fcf245
DIST boto3-1.35.40.gh.tar.gz 872596 BLAKE2B eb1f81634ce0624da14d5a8c5edbe531917bb8110bb196ee9661cebda564787bb7a1506bba5b446e8eeb1392b503ec123e130ff08c0cc112131e4508147460f0 SHA512 dab1212aff42cfbf2070222e9e54adf5d4cd5237537f2b9e95e7d0d5ab909b79be8af11de57f8e30a1167fa1baf8fd96c27d4ae4c23b6030735cda99f8304415
DIST boto3-1.35.41.gh.tar.gz 873340 BLAKE2B 60d2b03b92fb49b1b4ef4208f406df8640b4a297672d12272b9c0e3867c61dfb879cdba0d93d840902d015e9b5889be823009877e2b437cecc0b0cacb8f39818 SHA512 8efe0beb7a604e8208c0039a7c94ec8a70ca2da91cafc76dcf5b442cf6a4bf0e992c113500d8c2b22f9312daef0d50e402747ae74e2ccf333411d4b6856e38c2
DIST boto3-1.35.42.gh.tar.gz 873736 BLAKE2B 1de9c16155ee6c9a23af028e074a10c37d6874a9076aa66088712438c5308d37ebadca4c03d842d2d82bc629ff0be306e66c49e65af4d55e8334777ec624beda SHA512 c7a1f8f83f9e41abc7a0690442fc8cd48c411605f702ee11521401010a30fc7dc25bf07a72881e3892c2fe268201e61baabafbf6eae8eb5e916439867600cc43
+DIST boto3-1.35.43.gh.tar.gz 874500 BLAKE2B 6db4f4739e52e1b3e897d3309fcddcc45c993f80077347c83420a6be38c7163f673445475cc268bc62fa3b2d07fead64de33aff09497559fb1044c1cac2e65ea SHA512 bea6debe174fc842e2dcc86ee065f2ac789102b5252f762b4424235cdaebe19908f1461404fcb31641920a160f056b1645d9866ce191f3f1624babdf30249ddd
diff --git a/dev-python/boto3/boto3-1.35.43.ebuild b/dev-python/boto3/boto3-1.35.43.ebuild
new file mode 100644
index 000000000000..d91ce27598cf
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.43.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index f7eae0a9b817..d6dd76b61d5d 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.35.39.gh.tar.gz 13458607 BLAKE2B 631b16d9a4acf1a2c594318f20fb975
DIST botocore-1.35.40.gh.tar.gz 13462072 BLAKE2B aa15665a9948d5ce5e0f75fcad10cc25ce3958f67f3cf7b2316b69ded1d2a6425fee763d7aa041e4a5c4b45a614c29a942aa473335f4a79908f7d466fd2c2fc2 SHA512 13990a523dfb1e703afc9cb1cc2a31c7fece980f38e587522460f37b98abcbe333c54e4a5522b5a0f45b87e355bf57bb66abaac74a9189fb77cd648535315da3
DIST botocore-1.35.41.gh.tar.gz 13470971 BLAKE2B 3db153b5317be2389e85d547c995b8b7f05d30d4effe2f46bc78b310fe92f010520b9e0ef50aafb6abe65cadfa04cf07c17074c17eb9640e85e85518dd26bd2f SHA512 05feaa0e24d25ff64cffe5d41be4bec8f88b5fcd3bd2e51406a5bf012c39e6c7c000f6c1526fb66004548cc5ab8d47753147043935db7c976fcae6a06789b349
DIST botocore-1.35.42.gh.tar.gz 13471109 BLAKE2B 00845a687b9df256b458af452a0fa23911dea55d3f1630c663e176be0628622ed33c3e31b6004ca23ce5eeafd36bc62ab8ccf57a44d607669a15ef879f0c6059 SHA512 a2575d8f913aef010eee3f90f96cffa5232881b5c2ec2433b2dfc0834d54f8be237f2e83e853e1264816f567878315da8a412cdba8c50582ef9c44b0a3850200
+DIST botocore-1.35.43.gh.tar.gz 13472773 BLAKE2B 89d079696894afa77679343b1a24a8417f25f9309746e1c806e22b38068a9b29d93b279420d6e92981dfe64a8ddb4b7a6892cd8e61eae3be75bc37ce01c696d3 SHA512 bb01ecadee0126ba321d13e4b01cc618b0d68382cec916857db1519bff4fad695f3f697e422cab5f552c4149e13e72687b6455a87f103d594dfe9c5a4616e81f
diff --git a/dev-python/botocore/botocore-1.35.43.ebuild b/dev-python/botocore/botocore-1.35.43.ebuild
new file mode 100644
index 000000000000..7816e9efeb52
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.43.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index f03ac15ead86..e2e736681d78 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -2,3 +2,4 @@ DIST cfn_lint-1.14.2.tar.gz 2426350 BLAKE2B 65000d9201e66159d66e374a48cee6bfb330
DIST cfn_lint-1.15.2.tar.gz 2444882 BLAKE2B bb1e47da23087a667cfc3a1a36af962ad0db35332209651a0cf3d235630995ba35d46ababa1aba66587827cf913dfc347418b14c47f797ccf895143ffa8aea80 SHA512 077c1384a49d59bb0379c6ee8e09b8c0fdbb78a3c2c0e47d8b72e078ee4d40715b6ea4bbf7fdd053a6bb0d822a099a190554399d73eb0a31490f475af2ac1dae
DIST cfn_lint-1.16.1.tar.gz 2328621 BLAKE2B 034738d924ac720a1e85569d65afd47c4cf0cf81b8187f03de48e968872b0c993d40a56b7a6b5c751e252461ebe29b750cdc6405ebc4733020bcc28f8c6887be SHA512 4348ef8b9cc125c71b62ced41ecc16d6aaba7c194a95e28bc99a1cc49e4a931f1e6726286a9f31fd7f0a4692861e62efb9cde4482762f230aea963866aa8081a
DIST cfn_lint-1.17.0.tar.gz 2526551 BLAKE2B d1e57328317625cd31594662071c6a2c065ef74a8d836b4be1560f1023c9efb758add82f07ddfa60fc4be508a0efc7eef3850433ae05116bfa5d1efd6e9a0076 SHA512 cb3bc0f2ef38a7ea652c9cd94fae9ccf940924131fe03c49e5a58d28174ea4b900b90d342ef1c7f8287b9ce1c1889086b6c5ffbed12a40b4fb01861193ba6862
+DIST cfn_lint-1.17.1.tar.gz 2526513 BLAKE2B fd59bd81e51e000c5360298b1e865b90dd7b517c349fab660078d13b84bca3cc688bcea021463a257a4fd81d9abebe51d08b863a5d915c4e16e7b457dfb0ca44 SHA512 745034c521f064fc2ec53bc6ccc8f992847987721d2b3f52f0c646e8ee9369563d27f331d9fcc10f8427b515b5277cde1c6917641df2c610190ede296cfa3a28
diff --git a/dev-python/cfn-lint/cfn-lint-1.17.1.ebuild b/dev-python/cfn-lint/cfn-lint-1.17.1.ebuild
new file mode 100644
index 000000000000..d9b997205f33
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.17.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.91.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ # different graphviz version?
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/gphoto2/Manifest b/dev-python/gphoto2/Manifest
deleted file mode 100644
index 6d001ca4c593..000000000000
--- a/dev-python/gphoto2/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST gphoto2-2.4.0.tar.gz 531293 BLAKE2B 077d7fb8708d51c7e3dfdbdf8cccc055ade92780052163c7f4c8194b723d862c1865295739155415393030900c9397bb5ea9f4acf3e6838680011782736d7bd1 SHA512 b228fa5b8ee3c8db634bbeab6cf395f40e5b7bc1d151d3848979f7bd6373036dc19a4db030d3d62580fb78448f9b0e95408389c7faa4f75f3fb963947dfe62c6
-DIST gphoto2-2.5.0.tar.gz 565800 BLAKE2B 256f1178d33a6dade8ff8ff8c6bdfd134ac0edd7346d16901d30ea74c537d54619cd7f1008ac3d67a52e5b2398511ddc586ff93879e2668eb7fa05b5b8e7dd0b SHA512 d6139bf499baf20cf448d854e63e389b61d284fef6a30866fe6634309534dd4af57b82b80a8673f254cde9417d7f98345f24effea297f2f74a4f65dfb471da6a
diff --git a/dev-python/gphoto2/gphoto2-2.4.0.ebuild b/dev-python/gphoto2/gphoto2-2.4.0.ebuild
deleted file mode 100644
index 477b8434dd81..000000000000
--- a/dev-python/gphoto2/gphoto2-2.4.0.ebuild
+++ /dev/null
@@ -1,23 +0,0 @@
-# Copyright 2021-2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1
-
-DESCRIPTION="python-gphoto2 is a comprehensive Python binding to libgphoto2"
-HOMEPAGE="https://pypi.org/project/gphoto2 https://github.com/jim-easterbrook/python-gphoto2"
-SRC_URI="https://github.com/jim-easterbrook/python-gphoto2/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- media-libs/libgphoto2
-"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/python-${P}
diff --git a/dev-python/gphoto2/gphoto2-2.5.0.ebuild b/dev-python/gphoto2/gphoto2-2.5.0.ebuild
deleted file mode 100644
index 290bc54d4a4a..000000000000
--- a/dev-python/gphoto2/gphoto2-2.5.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2021-2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1
-
-DESCRIPTION="python-gphoto2 is a comprehensive Python binding to libgphoto2"
-HOMEPAGE="https://pypi.org/project/gphoto2 https://github.com/jim-easterbrook/python-gphoto2"
-SRC_URI="https://github.com/jim-easterbrook/python-gphoto2/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="media-libs/libgphoto2"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/python-${P}
diff --git a/dev-python/gphoto2/metadata.xml b/dev-python/gphoto2/metadata.xml
deleted file mode 100644
index 7312645f6db0..000000000000
--- a/dev-python/gphoto2/metadata.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
- <maintainer type="person">
- <email>fedeliallalinea@gmail.com</email>
- <name>Marco Genasci</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/jim-easterbrook/python-gphoto2/issues</bugs-to>
- </upstream>
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index a8826ae4243b..2390ad2d46e2 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,2 +1,2 @@
-DIST griffe-1.3.2.gh.tar.gz 383330 BLAKE2B ce96d0ce14dec7a48172758cb08331e07b36c436f953061aee375fbb7c4ad7fa01050b6a15335dae44d292c90ea5724c85abda9b4f8dd231e979ca1b8d2faa38 SHA512 098f78f95e89d22738ef5b8b6e91fffd7f0c48705492081aee0c072d2ac409f88bb7698ffbcbbfa9cd7627d081c441a8eafba3d261a81dba02a92e04ac80d7c0
DIST griffe-1.4.1.gh.tar.gz 383674 BLAKE2B d85a7c7dcc1406d361bd13b7a356b79d02d00d3bf24bb21a4f279b537d1001263b61af959ad27be50422d4cf56d5b75db79150b6d9bebfc4191217b2b9e4b09b SHA512 cb6c498daa6bce724c1cfd008e3b6c5c17ada8027a9cee58705a64739b7d049773d13fe08c7519777cb0c4870619d2b51426c2cad1d87404c6487ac10a60d703
+DIST griffe-1.5.0.gh.tar.gz 385479 BLAKE2B 835c1a8798b55305673635459a8de077ae71796aaf6fcd977fae602d5214ac4ef616cf05bc364fe20f1db63d0a6f8ace74ba40e9de34acd03536cf58e302f62f SHA512 3b5a5cd8a50696293ff6046afb3259ab7bb86d7b660d263b304fc5126970b06fbfff0b6da670a977c0df27c749f97bf9699d4fcc70cca9261769206664f3b612
diff --git a/dev-python/griffe/griffe-1.3.2.ebuild b/dev-python/griffe/griffe-1.5.0.ebuild
index 06ef983f39dd..06ef983f39dd 100644
--- a/dev-python/griffe/griffe-1.3.2.ebuild
+++ b/dev-python/griffe/griffe-1.5.0.ebuild
diff --git a/dev-python/marshmallow/Manifest b/dev-python/marshmallow/Manifest
index d9207dba98be..5475f8cc4a7f 100644
--- a/dev-python/marshmallow/Manifest
+++ b/dev-python/marshmallow/Manifest
@@ -1,2 +1,3 @@
DIST marshmallow-3.21.3.gh.tar.gz 183813 BLAKE2B c5b0165be783e87149c1f1b7f0e370c0c0b33cd5e34b0a91b1510b81e840ca1f87c34b13f00e0c22b5a34d8fec62bba4a66f889a450a4f03fda7a85a63bf71bf SHA512 522d015d4207b1258ef92901f106f94bd412e011c26ad074ca9ee3156e51a1d873063f0ebd24b613cd95f34397f29e79358bb420ee0eef51095e6e8858d61fca
DIST marshmallow-3.22.0.gh.tar.gz 184804 BLAKE2B b877ad2b2bc1ad0c54c2a8fa9dd9eba393455dd8ce68fce574ffd11ec1e1cc0935c8296ddff9b53fb4f9e7618a8f4c2a13716e1c4a7c8bb1b1f17aa967d29009 SHA512 a4359eb2490e2bb8be6d0e31e1d8eabd2ebc19fa91d024335d2483dca77bb79848d4be13f1775fdabf97c6156a981260693234be45dd1ccd3567e9c79b981deb
+DIST marshmallow-3.23.0.gh.tar.gz 185330 BLAKE2B 3a0c8bb5fddd9e65989d6e48177fe892558bb58817233e1993a735aaa78eb476eaa5808eba1a6d6881ba0d1fa5b9302f7da9cec3657e8418fafac20c0856f8a4 SHA512 7e4b069c2ad81d91659c0c72636a1c9bddac3759edd4769b15130f6c2a257e6796423933e2148c5042f1f7190131ba8bf9623ef6d3cf304f6b40c2f20caf0cec
diff --git a/dev-python/marshmallow/marshmallow-3.23.0.ebuild b/dev-python/marshmallow/marshmallow-3.23.0.ebuild
new file mode 100644
index 000000000000..9eb81b9da703
--- /dev/null
+++ b/dev-python/marshmallow/marshmallow-3.23.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library for converting to and from native Python datatypes"
+HOMEPAGE="
+ https://github.com/marshmallow-code/marshmallow/
+ https://pypi.org/project/marshmallow/
+"
+SRC_URI="
+ https://github.com/marshmallow-code/marshmallow/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 9b5369842877..9d5ac6bc7d06 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -61,6 +61,7 @@ DIST pyproject_fmt-2.1.3.tar.gz 9016 BLAKE2B 742d29283f883f36a6705b7461345593205
DIST pyproject_fmt-2.2.4.tar.gz 9140 BLAKE2B 19397db0f7e2a51391f99824645c73361eaa60e2430fe22f9aec85b7273d232ae8aab8d96e1276f93c7fa8612a768fa7bf66f207c4bf73e92e69d3f0f62c8b22 SHA512 54dd02060c93040ef09f23751e0ef6c853a892df077ca012717b4586dede5081365ee4df1daaf98095af364a0e9406e9a5afde74158d5dc6715425bed58db254
DIST pyproject_fmt-2.3.1.tar.gz 9139 BLAKE2B 461dbf2d0c81dd679fb7432daa25f862990fb5255206549cde8ab7e3a02f8ddacc9ce0ffb4d78476887e302d096a8f364ea269b75eed5c6a61a15471c38adada SHA512 289bae8ee8c2adb9a78294ac1c1b569aec7fe73a9400ef43ac6ed684e26c76c921f342b4236654951c40bfb5e9e72092dd9cc7d32252f1e81902e398ae7a84ee
DIST pyproject_fmt-2.4.2.tar.gz 44169 BLAKE2B e7c369044a2ce2e9bd1c8109a3f7719e0260dc8b307f3c135f6bbd896628d08ea9db38361b6c1436d78286347e605f9050f1790b55b10ffdfd741e1a8db97a89 SHA512 44d3d09f881a1e873ff7386c6d52d97acd8737d689058925caed8bbdf05f118d99c88461cfd931bb0b93fc3c8211f73c84871892bff181cd8ccaaf2ee331adb8
+DIST pyproject_fmt-2.4.3.tar.gz 44238 BLAKE2B 23c6103beb572d0dc5c025a086204130b93a49b9525ae683a3374d0b72ef8065f0875f46225f651cf51ac11b9f8f229254eb50fdde3a007230f32a6982c80157 SHA512 e114d8cff0345ae95104ee8984d2ef2119126be8ce36542b24c14000f9fc9d23f4b3983b7820bd4f8cb1cb05bca779d7b0635afc1317cad89fee30bb49fc5591
DIST quote-1.0.37.crate 28558 BLAKE2B a7d007a69e619f853af94333e1066bb767013312bd99f147b1b153611242bcfa9c76768b1ba47278589db309a9acd61a772c8ec3b567e48439bb9d831f9326d4 SHA512 c4ed21428c1f89cf22b85d80720a7869831a9c129d694617b0ce8c258278114ab98846f3f653abf736d1c86bc9224bbd695e9a7b06aa3adf292d02e1ef14cc05
DIST regex-1.11.0.crate 254059 BLAKE2B 9450e54b522c3f12e4f1d814025c3037f8373b9e1feaf2028756b573335cb7f22400b0925e3ceb0716d72aeb19b02b4bcf70b0b435a0252d0d52a7028d95308c SHA512 16c066664ae87497f9880a52222301fb0d44053ae2d6861ea21dc59cab82bd1ab8ac407f9e77228a21a586ee745b02f9eb10e7b9b30df2f3aad73633270bf73d
DIST regex-automata-0.4.8.crate 617784 BLAKE2B 7535c79f6ddf1b1225e21171921594dcf32fc3afd47519d2067b2047b19070cb7e6fdfd1563b884fec6f91dd568522fc95d85bf095c11f8c02daeac128c45020 SHA512 278e3e2ab230ed5fa7d4837e8ea879fae68ebf35c2da5cc3a67f46b7d593abbcf71e6326a0cf34e38edc0f3f2166ff42a4fcc17a400d9604429aa5b4be075a3f
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.4.3.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.4.3.ebuild
new file mode 100644
index 000000000000..a6dd1b1766a1
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.4.3.ebuild
@@ -0,0 +1,165 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+CRATES="
+ ahash@0.8.11
+ aho-corasick@1.1.3
+ any_ascii@0.1.7
+ arc-swap@1.7.1
+ autocfg@1.4.0
+ beef@0.5.2
+ bstr@1.10.0
+ cfg-if@1.0.0
+ countme@3.0.1
+ deranged@0.3.11
+ derivative@2.2.0
+ either@1.13.0
+ equivalent@1.0.1
+ fnv@1.0.7
+ form_urlencoded@1.2.1
+ futures-channel@0.3.31
+ futures-core@0.3.31
+ futures-executor@0.3.31
+ futures-io@0.3.31
+ futures-macro@0.3.31
+ futures-sink@0.3.31
+ futures-task@0.3.31
+ futures-timer@3.0.3
+ futures-util@0.3.31
+ futures@0.3.31
+ getrandom@0.2.15
+ glob@0.3.1
+ globset@0.4.15
+ hashbrown@0.14.5
+ hashbrown@0.15.0
+ heck@0.5.0
+ idna@0.5.0
+ indexmap@2.6.0
+ indoc@2.0.5
+ itertools@0.10.5
+ itoa@1.0.11
+ lexical-sort@0.3.1
+ libc@0.2.159
+ log@0.4.22
+ logos-derive@0.12.1
+ logos@0.12.1
+ memchr@2.7.4
+ memoffset@0.9.1
+ num-conv@0.1.0
+ once_cell@1.20.2
+ pep440_rs@0.6.6
+ pep508_rs@0.6.1
+ percent-encoding@2.3.1
+ pin-project-lite@0.2.14
+ pin-utils@0.1.0
+ portable-atomic@1.9.0
+ powerfmt@0.2.0
+ proc-macro-crate@3.2.0
+ proc-macro2@1.0.87
+ pyo3-build-config@0.22.5
+ pyo3-ffi@0.22.5
+ pyo3-macros-backend@0.22.5
+ pyo3-macros@0.22.5
+ pyo3@0.22.5
+ quote@1.0.37
+ regex-automata@0.4.8
+ regex-syntax@0.6.29
+ regex-syntax@0.8.5
+ regex@1.11.0
+ relative-path@1.9.3
+ rowan@0.15.16
+ rstest@0.23.0
+ rstest_macros@0.23.0
+ rustc-hash@1.1.0
+ rustc_version@0.4.1
+ ryu@1.0.18
+ semver@1.0.23
+ serde@1.0.210
+ serde_derive@1.0.210
+ serde_json@1.0.128
+ slab@0.4.9
+ syn@1.0.109
+ syn@2.0.79
+ taplo@0.13.2
+ target-lexicon@0.12.16
+ text-size@1.1.1
+ thiserror-impl@1.0.64
+ thiserror@1.0.64
+ time-core@0.1.2
+ time-macros@0.2.18
+ time@0.3.36
+ tinyvec@1.8.0
+ tinyvec_macros@0.1.1
+ toml_datetime@0.6.8
+ toml_edit@0.22.22
+ tracing-attributes@0.1.27
+ tracing-core@0.1.32
+ tracing@0.1.40
+ unicode-bidi@0.3.17
+ unicode-ident@1.0.13
+ unicode-normalization@0.1.24
+ unicode-width@0.1.14
+ unindent@0.2.3
+ unscanny@0.1.0
+ url@2.5.2
+ urlencoding@2.1.3
+ version_check@0.9.5
+ wasi@0.11.0+wasi-snapshot-preview1
+ winnow@0.6.20
+ zerocopy-derive@0.7.35
+ zerocopy@0.7.35
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions ISC MIT Unicode-DFS-2016
+ || ( Apache-2.0 BSD-2 )
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.2[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
+ dev-python/tox
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test_all() {
+ cargo_src_test
+}
diff --git a/dev-python/pytest-shell-utilities/Manifest b/dev-python/pytest-shell-utilities/Manifest
index 1efe36a7b98b..11c4c0b64fbc 100644
--- a/dev-python/pytest-shell-utilities/Manifest
+++ b/dev-python/pytest-shell-utilities/Manifest
@@ -1 +1,2 @@
DIST pytest-shell-utilities-1.9.3.gh.tar.gz 79651 BLAKE2B 1506f7d2fb3b988d55006a8429b6428cb73e969ec72eac5baf944d7e4fc708aaa8e474493ac3e226608c43ece75d2f6070d094f3b656a49bde11bf46a81998d1 SHA512 5ff40043d4f597623bcc61b2c87f00a59fc1882ae6ecda223c82fadc64ae8b5670d07e8e2df54cfcb8b3bdb9483f331a314f4a683760e5ebe843d68ae4067895
+DIST pytest-shell-utilities-1.9.4.gh.tar.gz 79652 BLAKE2B 1f584a86397b772396ce0d0d1bbc270fe6803150259f30d20f11d964495eeb13ca39e97d9681cc3dee638ce0cd7afb6fbaa53a741f4fffc148940762f4c52e3f SHA512 2569c22df69ea0408465670e6bc4a981bf751f7943f46bbd01a89cc20ea713a46f74e50730a0d2cb78c8962b3ca3c221cf7c27f95e4fae6c22a0b1ab1f8c68de
diff --git a/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.9.4.ebuild b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.9.4.ebuild
new file mode 100644
index 000000000000..c694d73887c4
--- /dev/null
+++ b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.9.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin: fixtures and code to help with running shell commands on tests"
+HOMEPAGE="
+ https://pypi.org/project/pytest-shell-utilities/
+ https://github.com/saltstack/pytest-shell-utilities/
+"
+SRC_URI="
+ https://github.com/saltstack/pytest-shell-utilities/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-7.4.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+ dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/types-setuptools/Manifest b/dev-python/types-setuptools/Manifest
index 3e93bba1cb7c..16dd6adddf91 100644
--- a/dev-python/types-setuptools/Manifest
+++ b/dev-python/types-setuptools/Manifest
@@ -1,3 +1,4 @@
DIST types-setuptools-74.1.0.20240907.tar.gz 42970 BLAKE2B 06ceaba13ee061d231a0c02196fc97b3e64a7a13d9a728ab0cb5cab728d8944b2ebbb73d77b6c5d805f7fe1cc5f2b34dcae2bf62a12e27d265cd03507092d31e SHA512 623e5904e3d102a603feaa88ac7a4558a06cfc8e25888c013352d3016efdc296fd7dd343466cd646ccc41d9d6c65e789467eb309a5946b282110550589d1126f
DIST types-setuptools-75.1.0.20240917.tar.gz 42585 BLAKE2B 7c38b2249c0f297e81f0fb7e19222ba6c5c103833a51c410a560c52669537f511f950e2f5777319c43fd07b821de6d6ce7ddd77c4fd19bcc6e046ccbe4f82172 SHA512 8861e31317f23496dcddc9f7fa3eacdf7fda1a097a4e257b41755b97de3571f698e3ec3bb6260ccc6168a5b7ad309c4399f7806727e185b6d3d9bff332e7942f
DIST types-setuptools-75.1.0.20241014.tar.gz 42773 BLAKE2B b7be7f47ad03eafefc31e23aba284aca6f04cce32d20d6128effdcae6f7a00e3707ef9aec02de70d79a4fc73bedb33ceea965faf75bb1b75ab6576ae1e4a8f10 SHA512 784c8ded17746869066b4fdbb7203a17c8271baf8f019ff34da39f212284e6d6a28b06b583823e5bd7c58cb059459d07d46a3178b1784aeadce2ba7ed0c8a979
+DIST types-setuptools-75.2.0.20241018.tar.gz 42813 BLAKE2B 99157a03b73056db869690814d4e68a1cc9ff0454d13a99ba0af849f8c5a14b1db5c64015c52fe9fedbf6a070b3a25b9de11d0000864f5c689d28141005151b4 SHA512 e7a39d28dc24d20769c6593224df61831aced34d3f12625bd05547a60565e357d37d616c693b0c1ffb2a32813a9795f8be65a3f495452e1e3ba88f987163bd59
diff --git a/dev-python/types-setuptools/types-setuptools-75.2.0.20241018.ebuild b/dev-python/types-setuptools/types-setuptools-75.2.0.20241018.ebuild
new file mode 100644
index 000000000000..d27d371b9a83
--- /dev/null
+++ b/dev-python/types-setuptools/types-setuptools-75.2.0.20241018.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for setuptools"
+HOMEPAGE="https://pypi.org/project/types-setuptools/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index b2ec14f92889..b1ec96dd4042 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,2 +1,3 @@
DIST virtualenv-20.26.5.tar.gz 9371932 BLAKE2B 3b85da76f00e44b4e9fd33ef159e06cad06e4b0663aff9433712db8dcc0abb0bad7b94f260e374687f81b09a12bb3438f533267035370efbdeef20e8f9371461 SHA512 616d6565731d8b1f4ddf90eea9c7018eb1bc553c9ad6feee5f9e6669a996205afbedd900bf8d74cbcca7113fddc985ae279454274a7ec8902ac068e5e4b1b5ba
DIST virtualenv-20.26.6.tar.gz 9372482 BLAKE2B 7e91c8beb59c3c3f4d538af425916abe94151efedae3f643c573f6c0dd05a37cfc42b5e61cbdb73e02fcc5adbfd34a0ffa5096790975890fe9d17f626ea5687c SHA512 9d403a835c66f9b7f733d3720f459b9450dddd5cd9a76358332da20dddd309918177d3d7782304e11f56f48755d901feb4eb9b708c3719241bf389f29bf0ba04
+DIST virtualenv-20.27.0.tar.gz 6483858 BLAKE2B 661a8e208eecb4cc27edd515c09e4541fca6a00285a7f4dcc798c37c602a505460cc53f699a33589dca2f686534bec188c48ae1001e52979febd1787760b2ef7 SHA512 1d0e1e32af8685d0e426823acaa3b73a1a8f60195a0627585b897d1c3d785b2cc67331c6e7f414589e5a61b84f6aecaffdaa4baefa51390bf23ebb3be2e2ef78
diff --git a/dev-python/virtualenv/virtualenv-20.27.0.ebuild b/dev-python/virtualenv/virtualenv-20.27.0.ebuild
new file mode 100644
index 000000000000..92ae808a8cdc
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.27.0.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.12.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+
+ dev-python/ensurepip-pip
+ dev-python/ensurepip-setuptools
+ dev-python/ensurepip-wheel
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/pytest-freezer-0.4.6[${PYTHON_USEDEP}]
+ ' pypy3)
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=180
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # use wheels from ensurepip bundle
+ "${FILESDIR}/${PN}-20.26.3-ensurepip.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # workaround test failures due to warnings from setuptools-scm, sigh
+ echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+ # remove useless pins
+ sed -i -e 's:<[0-9.]*,::' pyproject.toml || die
+
+ # remove bundled wheels
+ rm src/virtualenv/seed/wheels/embed/*.whl || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ # tests for old wheels with py3.7 support
+ tests/unit/seed/embed/test_pip_invoke.py::test_base_bootstrap_via_pip_invoke
+ tests/unit/seed/wheels/test_wheels_util.py::test_wheel_not_support
+ # broken by different wheel versions in ensurepip
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_string
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_exact
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_none
+ tests/unit/seed/wheels/test_acquire.py::test_download_wheel_bad_output
+ # hangs on a busy system, sigh
+ tests/unit/test_util.py::test_reentrant_file_lock_is_thread_safe
+ )
+ case ${EPYTHON} in
+ python3.1[23])
+ EPYTEST_DESELECT+=(
+ tests/unit/create/via_global_ref/test_build_c_ext.py
+ )
+ ;&
+ python3.11)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/unit/discovery/py_info/test_py_info.py::test_fallback_existent_system_executable
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x TZ=UTC
+ local plugins=( -p flaky -p pytest_mock )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ plugins+=( -p freezer )
+ else
+ plugins+=( -p time_machine )
+ fi
+ epytest "${plugins[@]}" -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ # remove bundled wheels, we're using ensurepip bundle instead
+ find "${ED}" -name '*.whl' -delete || die
+}